Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLCoordinateInterpolator Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLCoorinateInterpolator.h>`

Inheritance diagram for SoVRMLCoordinateInterpolator:

List of all members.

## Detailed Description

The SoVRMLCoordinateInterpolator class is used to interpolate 3D coordinates.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      CoordinateInterpolator {
        eventIn      SFFloat set_fraction        # (-inf, inf)
        exposedField MFFloat key           []    # (-inf, inf)
        exposedField MFVec3f keyValue      []    # (-inf, inf)
        eventOut     MFVec3f value_changed
      }

This node linearly interpolates among a list of MFVec3f values. The number of coordinates in the keyValue field shall be an integer multiple of the number of keyframes in the key field. That integer multiple defines how many coordinates will be contained in the value_changed events. 4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>), contains a more detailed discussion of interpolators.

## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoMFVec3f | keyValue
SoEngineOutput | value_changed

## Member Function Documentation

void SoVRMLCoordinateInterpolator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLInterpolator.

The documentation for this class was generated from the following files:

- SoVRMLCoordinateInterpolator.h
- CoordinateInterpolator.cpp